<div class="ui attached message">
  <div class="header">Welcome to our Library!</div>
  <p>Fill out the form below to sign-up for a new account</p>
</div>
<br>

<div class="ui small image">
  <img [src]="pickedImage" alt="User's profile picture" *ngIf="pickedImage !== '' && pickedImage">
  <ng-template #difoltnaSlika *ngIf="!(pickedImage !== '' && pickedImage && createUserForm.get('image')!.valid)">
    <img src="assets/blank-profile.png" alt="User's profile picture" />
  </ng-template>
</div>

<form
  class="ui form"
  [formGroup]="createUserForm"
  (ngSubmit)="register()"
>
  <div class="required field" [ngClass]="{error:nameHasErrors()}">
    <label>Username</label>
    <input type="text"  formControlName="username" />
  </div>

  <div class="ui negative message" *ngIf='nameHasErrors()'>
    <ul>
      <li  *ngFor= "let errorMessage of nameErrors()"> {{errorMessage}} </li>
    </ul>

  </div>

  <div class="required field" [ngClass]="{error:emailHasErrors()}" >
    <label>Email</label>
    <input type="text"  formControlName="email" />
  </div>

  <div class="ui negative message" *ngIf='emailHasErrors()'>
    <ul>
      <li  *ngFor= "let errorMessage of emailErrors()"> {{errorMessage}} </li>
    </ul>

  </div>

  <div class="required field" [ngClass]="{error:passwordHasErrors()}">
    <label>Password</label>
    <input type="password"  formControlName="password" />
  </div>

  <div class="ui negative message" *ngIf='passwordHasErrors()'>
    <ul>
      <li  *ngFor= "let errorMessage of passwordErrors()"> {{errorMessage}} </li>
    </ul>

  </div>

  <div>
    <label for="image">Profile picture</label>
    <button type="button" (click)="filepicker.click()">Choose picture</button>

    <input #filepicker type="file" (change) = "pickImage($event)">

  </div>

  <button class="ui button" type="submit">Register</button>
</form>
<br>
<div class="ui bottom attached warning message">
  <i class="icon help"></i>
  Already signed up? <a routerLink="/login-page"   >Login here </a> instead.
</div>